Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QStyleOptionToolBoxV2.SelectedPosition

    java.lang.Object
      java.lang.Enum<QStyleOptionToolBoxV2.SelectedPosition>
          com.trolltech.qt.gui.QStyleOptionToolBoxV2.SelectedPosition

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QStyleOptionToolBoxV2.SelectedPosition>

Enclosing class:
  QStyleOptionToolBoxV2

    public static enum QStyleOptionToolBoxV2.SelectedPosition

extends java.lang.Enum<QStyleOptionToolBoxV2.SelectedPosition>
implements QtEnumerator

This enum describes the position of the selected tab. Some styles need to draw a tab differently depending on whether or not it is adjacent to the selected tab.

See Also:
  `selectedPosition`

Enum Constant Summary
`NextIsSelected` The next tab (typically the tab on the right) is selected.
`NotAdjacent` The tab is not adjacent to a selected tab (or is the selected tab).
`PreviousIsSelected` The previous tab (typically the tab on the left) is selected.

Method Summary
`static QStyleOptionToolBoxV2.SelectedPosition` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionToolBoxV2.SelectedPosition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QStyleOptionToolBoxV2.SelectedPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NotAdjacent

    public static final QStyleOptionToolBoxV2.SelectedPosition NotAdjacent

  The tab is not adjacent to a selected tab (or is the selected tab).

### NextIsSelected

    public static final QStyleOptionToolBoxV2.SelectedPosition NextIsSelected

  The next tab (typically the tab on the right) is selected.

### PreviousIsSelected

    public static final QStyleOptionToolBoxV2.SelectedPosition PreviousIsSelected

  The previous tab (typically the tab on the left) is selected.

Method Detail

### values

    public static final QStyleOptionToolBoxV2.SelectedPosition[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QStyleOptionToolBoxV2.SelectedPosition c : QStyleOptionToolBoxV2.SelectedPosition.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QStyleOptionToolBoxV2.SelectedPosition valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyleOptionToolBoxV2.SelectedPosition resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD